
<div class="card border-0">
    <div class="card-header bg-dark text-white border-bottom border-info">
        <span class="font-weight-medium ml-2" style="line-height: 24px;">
            <i class="mdi mdi-account-group"></i>
            Visitas Recibidas
        </span>
        <button class="btn btn-icon btn-danger btn-sm float-right" placement="bottom"
            ngbTooltip="Salir" (click)="close()">
            <i class="mdi mdi-close mdi-bold"></i>
        </button>
    </div>
    <div class="card-body">
        <div class="row justify-content-between my-3">
            <div class="col-8 col-md-5 col-lg-4 col-xl-3">
                <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[0]"></search-bar>
            </div>
            <div class="col-auto text-right">
              <div class="custom-control custom-checkbox">
                <input type="checkbox" name="today" id="today" class="custom-control-input"
                  [(ngModel)]="service.model.today" #today="ngModel" (ngModelChange)="service.load()">
                <label for="today" class="custom-control-label">Hoy</label>
              </div>
            </div>
        </div>
        <div class="table-responsive scroll scroll-hover" style="max-height: 400px;">
          <table class="table table-striped table-bordered">
            <thead [class.border-bottom]="service.loading | async">
              <tr>
                  <th>Nombre</th>
                  <th>Llegada</th>
                  <th>Salida</th>
                  <th>Entrada Hasta</th>
                  <th style="width: 25px; padding: 2px 8px; text-align: center;">
                    <button class="btn btn-sm" style="padding: 4px 8px;" (click)="service.load()">
                      <i class="mdi mdi-cached"></i>
                    </button>
                  </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let v of service.data">
                <td>{{ v.VisitanteNombre }}</td>
                <td>{{ v.Llegada | date:'dd-MM-yyyy HH:mm' }}</td>
                <td>{{ (v.Salida | date:'dd-MM-yyyy HH:mm') || '--' }}</td>
                <td>{{ (v.DarEntrada | date:'dd-MM-yyyy HH:mm') || 'No Programada' }}</td>
                <td class="table-action">
                  <button class="btn btn-sm text-white" [ngClass]="[v.Reportado ? 'btn-danger' : 'btn-success']"
                    [ngbTooltip]="[v.Reportado ? 'Deshacer' : 'Reportar Visita']" (click)="reportar(v)">
                    <i class="mdi" [ngClass]="[v.Reportado ? 'mdi-lock-open-outline' : 'mdi-check-bold']"></i>
                  </button>
                  <button class="btn btn-sm text-white" [ngClass]="[v.TieneEntrada ? 'btn-success' : 'btn-info']"
                    [ngbTooltip]="[v.TieneEntrada ? 'Deshacer' : 'Programar visita']" (click)="darEntrada(v)">
                    <i class="mdi" [ngClass]="[v.TieneEntrada ? 'mdi-window-open-variant' : 'mdi-account-edit']"></i>
                  </button>
                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr>
                  <td colspan="99" class="text-center" *ngIf="service.data.length === 0">
                      {{ (service.loading | async) ? 'Cargando...' : 'No Hay Registros' }}
                  </td>
              </tr>
            </tfoot>
        </table>
        </div>
        <div class="row">
          <div class="col-md-12 text-center">
            <app-pagination [(page)]="service.config.Pagination.Page" [limit]="service.config.Pagination.Limit" 
              [total]="service.config.Pagination.TotalCount" (pageChange)="service.load()">
            </app-pagination>
          </div>
        </div>
    </div>
</div>

<app-visitas-entrada #entrada></app-visitas-entrada>
